package cn.dankal.test.order.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * TODO
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/22
 */
@Data
@Accessors(chain = true)
@TableName("order_tbl")
public class Order {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * userId
     */
    private String userId;
    /**
     * 商品编码
     */
    private String commodityCode;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 订单金额
     */
    private BigDecimal money;

}
