package cn.dankal.test.storage;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * {@link SpringBootApplication}{@link EnableDiscoveryClient}
 * StorageService 启动类
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/22
 */
@EnableDiscoveryClient
@SpringBootApplication(scanBasePackages = {"cn.dankal.test"},exclude = DataSourceAutoConfiguration.class)
public class StorageServiceApplication {
    public static void main(String[] args) {
        SpringApplication.run(StorageServiceApplication.class, args);
    }
}
